Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/statistics.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/statistics.js	(revision 12515)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/statistics.js	(revision 12516)
@@ -2,10 +2,20 @@
 (function () {
     var plugin = appStatisticsPlugin;
-    plugin.dependencies = ['ngResource', 'ui.knob', 'ui.bootstrap'];
+    plugin.dependencies = ['ngResource', 'ui.knob', 'ui.bootstrap', 'ngFitText'];
     plugin.files = [
+        'WebApp/statistics.css',
         'WebApp/services/statisticsService.js',
+        'WebApp/services/jobService.js',
+        'WebApp/services/taskService.js',
+        'WebApp/services/userService.js',
+        'WebApp/services/clientService.js',
         'WebApp/jobs/jobsCtrl.js',
+        'WebApp/jobs/details/jobDetailsCtrl.js',
+        'WebApp/jobs/details/jobTaskDetailsDialogCtrl.js',
         'WebApp/clients/clientsCtrl.js',
+        'WebApp/clients/details/clientDetailsCtrl.js',
+        'WebApp/clients/details/clientTaskDetailsDialogCtrl.js',
         'WebApp/users/usersCtrl.js',
+        'WebApp/users/details/userDetailsCtrl.js'
     ];
     plugin.view = 'WebApp/jobs/jobs.cshtml';
@@ -13,6 +23,9 @@
     plugin.routes = [
         new Route('jobs', 'WebApp/jobs/jobs.cshtml', 'app.statistics.jobsCtrl'),
+        new Route('jobs/:id', 'WebApp/jobs/details/jobDetails.cshtml', 'app.statistics.jobDetailsCtrl'),
         new Route('clients', 'WebApp/clients/clients.cshtml', 'app.statistics.clientsCtrl'),
-        new Route('users', 'WebApp/users/users.cshtml', 'app.statistics.usersCtrl')
+        new Route('clients/:id', 'WebApp/clients/details/clientDetails.cshtml', 'app.statistics.clientDetailsCtrl'),
+        new Route('users', 'WebApp/users/users.cshtml', 'app.statistics.usersCtrl'),
+        new Route('users/:id', 'WebApp/users/details/userDetails.cshtml', 'app.statistics.userDetailsCtrl')
     ];
     var menu = app.getMenu();
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataTransfer/Status.cs
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataTransfer/Status.cs	(revision 12515)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataTransfer/Status.cs	(revision 12516)
@@ -20,4 +20,5 @@
 #endregion
 
+using System;
 using System.Collections.Generic;
 
@@ -61,8 +62,18 @@
   }
 
+  public class TimeStatus {
+    public long MinCalculatingTime { get; set; }
+    public long MaxCalculatingTime { get; set; }
+    public long AvgCalculatingTime { get; set; }
+    public long AvgWaitingTime { get; set; }
+    public long TotalCpuTime { get; set; }
+    public DateTime BeginDate { get; set; }
+  }
+
   public class Status {
     public CoreStatus CoreStatus { get; set; }
     public CpuUtilizationStatus CpuUtilizationStatus { get; set; }
     public MemoryStatus MemoryStatus { get; set; }
+    public TimeStatus TimeStatus { get; set; }
     public IEnumerable<TaskStatus> TasksStatus { get; set; }
     public IEnumerable<SlaveStatus> SlavesStatus { get; set; }
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/history.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/history.cshtml	(revision 12515)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/history.cshtml	(revision 12516)
@@ -56,7 +56,4 @@
                 <div class="panel-body">
                     <flot dataset="coreSeries" options="fillChartOptions"></flot>
-                    <p>{{maxUpper}}</p>
-                    <p>{{fromDateTime}}</p>
-                    <p>{{toDateTime}}</p>
                 </div>
             </div>
